Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | Private Attributes | List of all members
eZSOAPClient Class Reference
SOAP communication library

eZSOAPClient is a class which can be used as a SOAP client More...

## Public Member Functions
| __construct ( $server, $path='/', $port=80, $useSSL=null)
| send ( $request)
| setTimeout ( $timeout)
| setLogin ( $login)
| login ()
| setPassword ( $password)
| password ()

## Public Attributes
| $errorNumber
| $errorString
| $ErrorString
| $Server
| The name or IP of the server to communicate with. More...
| $Path
| The path to the SOAP server. More...
| $Port
| The port of the server to communicate with. More...
| $Timeout = 0
| How long to wait for the call. More...
| $Login
| HTTP login for HTTP authentification. More...
| $Password
| HTTP password for HTTP authentification. More...

## Private Attributes
| $UseSSL

## Detailed Description

eZSOAPClient is a class which can be used as a SOAP client

eZSOAPClient handles communication with a SOAP server.

// create a new client
$client = new eZSOAPClient( "nextgen.bf.dvh1.ez.no", "/sdk/ezsoap/view/server" );
$namespace = "http://soapinterop.org/";
// create the SOAP request object
$request = new eZSOAPRequest( "addNumbers", "http://calkulator.com/simplecalculator" );
// add parameters to the request
$request->addParameter( "valueA", 42 );
$request->addParameter( "valueB", 17 );
// send the request to the server and fetch the response
$response = $client->send( $request );
// check if the server returned a fault, if not print out the result
if ( $response->isFault() )
{
print( "SOAP fault: " . $response->faultCode(). " - " . $response->faultString() . "" );
}
else
print( "Returned SOAP value was: \"" . $response->value() . "\"" );
eZSOAPClient
eZSOAPClient is a class which can be used as a SOAP client
Definition: ezsoapclient.php:49
eZSOAPRequest
eZSOAPRequest handles SOAP request messages
Definition: ezsoaprequest.php:19

See also
  eZSOAPServer eZSOAPRequest eZSOAPResponse

Definition at line 48 of file ezsoapclient.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZSOAPClient::__construct | ( |  | $server,
|  |  | $path = `'/'`,
|  |  | $port = `80`,
|  |  | $useSSL = `null`
| ) |  |

Creates a new SOAP client.

Parameters

  string | $server | The remote server to connect to
  string | $path | The path to the SOAP service on the remote server
  int | $port | The port to connect to, 80 by default. You can use 'ssl' as well to specify that you want to use port 443 over SSL, but omit the last parameter $useSSL of this method then or set it to true. When $port equals 443, SSL will also be used if $useSSL is omitted or set to true.
  bool | $useSSL | If we need to connect to the remote server with (https://) or without (http://) SSL

Definition at line 66 of file ezsoapclient.php.

## Member Function Documentation

## ◆ login()

eZSOAPClient::login | ( |  | ) |

Returns the login, used for HTTP authentification

Definition at line 238 of file ezsoapclient.php.

References $Login.

Referenced by send().

## ◆ password()

eZSOAPClient::password | ( |  | ) |

Returns the password, used for HTTP authentification

Definition at line 254 of file ezsoapclient.php.

References $Password.

Referenced by send().

## ◆ send()

eZSOAPClient::send | ( |  | $request | ) |

Sends a SOAP message and returns the response object.

Definition at line 105 of file ezsoapclient.php.

References $Path, login(), and password().

## ◆ setLogin()

eZSOAPClient::setLogin | ( |  | $login | ) |

Sets the HTTP login

Definition at line 230 of file ezsoapclient.php.

## ◆ setPassword()

eZSOAPClient::setPassword | ( |  | $password | ) |

Sets the HTTP password

Definition at line 246 of file ezsoapclient.php.

## ◆ setTimeout()

eZSOAPClient::setTimeout | ( |  | $timeout | ) |

Set timeout value

Parameters

  timeout | value in seconds. Set to 0 for unlimited.

Definition at line 222 of file ezsoapclient.php.

## Member Data Documentation

## ◆ $errorNumber

eZSOAPClient::$errorNumber

Definition at line 50 of file ezsoapclient.php.

## ◆ $errorString

eZSOAPClient::$errorString

Definition at line 51 of file ezsoapclient.php.

## ◆ $ErrorString

eZSOAPClient::$ErrorString

Definition at line 55 of file ezsoapclient.php.

## ◆ $Login

eZSOAPClient::$Login

HTTP login for HTTP authentification.

Definition at line 268 of file ezsoapclient.php.

Referenced by login().

## ◆ $Password

eZSOAPClient::$Password

HTTP password for HTTP authentification.

Definition at line 270 of file ezsoapclient.php.

Referenced by password().

## ◆ $Path

eZSOAPClient::$Path

The path to the SOAP server.

Definition at line 262 of file ezsoapclient.php.

Referenced by send().

## ◆ $Port

eZSOAPClient::$Port

The port of the server to communicate with.

Definition at line 264 of file ezsoapclient.php.

## ◆ $Server

eZSOAPClient::$Server

The name or IP of the server to communicate with.

Definition at line 260 of file ezsoapclient.php.

## ◆ $Timeout

eZSOAPClient::$Timeout = 0

How long to wait for the call.

Definition at line 266 of file ezsoapclient.php.

## ◆ $UseSSL

eZSOAPClient::$UseSSL
| private

Definition at line 271 of file ezsoapclient.php.

The documentation for this class was generated from the following file:

- ezsoapclient.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.